Discussion:
Bug#930563: Re: Bug#930563: Can not start freecad
Add Reply
w***@china.com
2019-06-17 03:40:02 UTC
Reply
Permalink
Hello Bernhard,

Thanks for your reply!

I have install the proprietary nvidia drivers and it runs well.

The output of commands which you list as below,
ldd /usr/bin/freecad
linux-vdso.so.1 (0x00007ffe69ae5000)
libhdf5_openmpi.so.103 => /lib/x86_64-linux-gnu/libhdf5_openmpi.so.103 (0x00007f2032967000)
libmpi.so.40 => /lib/x86_64-linux-gnu/libmpi.so.40 (0x00007f203285e000)
libmpi_cxx.so.40 => /lib/x86_64-linux-gnu/libmpi_cxx.so.40 (0x00007f2032840000)
libFreeCADGui.so => /usr/lib/freecad-python2/lib/libFreeCADGui.so (0x00007f2031a96000)
libFreeCADApp.so => /usr/lib/freecad-python2/lib/libFreeCADApp.so (0x00007f2031744000)
libFreeCADBase.so => /usr/lib/freecad-python2/lib/libFreeCADBase.so (0x00007f20315ae000)
libpython2.7.so.1.0 => /lib/x86_64-linux-gnu/libpython2.7.so.1.0 (0x00007f203123f000)
libxerces-c-3.2.so => /lib/x86_64-linux-gnu/libxerces-c-3.2.so (0x00007f2030e94000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f2030c76000)
libutil.so.1 => /lib/x86_64-linux-gnu/libutil.so.1 (0x00007f2030c71000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f2030c6c000)
libzipios.so.0 => /lib/x86_64-linux-gnu/libzipios.so.0 (0x00007f2030a3f000)
libQt5Xml.so.5 => /lib/x86_64-linux-gnu/libQt5Xml.so.5 (0x00007f20309fe000)
libCoin.so.80c => /lib/x86_64-linux-gnu/libCoin.so.80c (0x00007f2030166000)
libboost_filesystem.so.1.67.0 => /lib/x86_64-linux-gnu/libboost_filesystem.so.1.67.0 (0x00007f2030148000)
libboost_program_options.so.1.67.0 => /lib/x86_64-linux-gnu/libboost_program_options.so.1.67.0 (0x00007f20300c1000)
libboost_regex.so.1.67.0 => /lib/x86_64-linux-gnu/libboost_regex.so.1.67.0 (0x00007f202ffac000)
libboost_system.so.1.67.0 => /lib/x86_64-linux-gnu/libboost_system.so.1.67.0 (0x00007f202ffa5000)
libboost_thread.so.1.67.0 => /lib/x86_64-linux-gnu/libboost_thread.so.1.67.0 (0x00007f202ff77000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f202ff56000)
libboost_chrono.so.1.67.0 => /lib/x86_64-linux-gnu/libboost_chrono.so.1.67.0 (0x00007f202ff4b000)
libboost_date_time.so.1.67.0 => /lib/x86_64-linux-gnu/libboost_date_time.so.1.67.0 (0x00007f202ff37000)
libboost_atomic.so.1.67.0 => /lib/x86_64-linux-gnu/libboost_atomic.so.1.67.0 (0x00007f202ff32000)
libGL.so.1 => /lib/x86_64-linux-gnu/libGL.so.1 (0x00007f202fc89000)
libQt5OpenGL.so.5 => /lib/x86_64-linux-gnu/libQt5OpenGL.so.5 (0x00007f202fc2d000)
libQt5PrintSupport.so.5 => /lib/x86_64-linux-gnu/libQt5PrintSupport.so.5 (0x00007f202fbb6000)
libQt5Svg.so.5 => /lib/x86_64-linux-gnu/libQt5Svg.so.5 (0x00007f202fb60000)
libQt5Network.so.5 => /lib/x86_64-linux-gnu/libQt5Network.so.5 (0x00007f202f9bf000)
libQt5Widgets.so.5 => /lib/x86_64-linux-gnu/libQt5Widgets.so.5 (0x00007f202f368000)
libQt5X11Extras.so.5 => /lib/x86_64-linux-gnu/libQt5X11Extras.so.5 (0x00007f202f361000)
libQt5Gui.so.5 => /lib/x86_64-linux-gnu/libQt5Gui.so.5 (0x00007f202edd4000)
libQt5Core.so.5 => /lib/x86_64-linux-gnu/libQt5Core.so.5 (0x00007f202e8d9000)
libspnav.so.0 => /lib/libspnav.so.0 (0x00007f202e6d5000)
libX11.so.6 => /lib/x86_64-linux-gnu/libX11.so.6 (0x00007f202e594000)
libshiboken2-python2.7.x86_64-linux-gnu.so.5.11 => /lib/x86_64-linux-gnu/libshiboken2-python2.7.x86_64-linux-gnu.so.5.11 (0x00007f202e568000)
libpyside2-python2.7.x86_64-linux-gnu.so.5.11 => /lib/x86_64-linux-gnu/libpyside2-python2.7.x86_64-linux-gnu.so.5.11 (0x00007f202e52e000)
libstdc++.so.6 => /lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f202e3a8000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f202e225000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f202e20b000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f202e04a000)
libsz.so.2 => /lib/x86_64-linux-gnu/libsz.so.2 (0x00007f202de47000)
libopen-rte.so.40 => /lib/x86_64-linux-gnu/libopen-rte.so.40 (0x00007f202dd8f000)
libopen-pal.so.40 => /lib/x86_64-linux-gnu/libopen-pal.so.40 (0x00007f202dce0000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f202dcd6000)
libhwloc.so.5 => /lib/x86_64-linux-gnu/libhwloc.so.5 (0x00007f202dc94000)
libevent-2.1.so.6 => /lib/x86_64-linux-gnu/libevent-2.1.so.6 (0x00007f202da3e000)
libevent_pthreads-2.1.so.6 => /lib/x86_64-linux-gnu/libevent_pthreads-2.1.so.6 (0x00007f202d83b000)
libnsl.so.1 => /lib/x86_64-linux-gnu/libnsl.so.1 (0x00007f202d820000)
libcurl-gnutls.so.4 => /lib/x86_64-linux-gnu/libcurl-gnutls.so.4 (0x00007f202d792000)
libicui18n.so.63 => /lib/x86_64-linux-gnu/libicui18n.so.63 (0x00007f202d4b7000)
libicuuc.so.63 => /lib/x86_64-linux-gnu/libicuuc.so.63 (0x00007f202d2e8000)
libicudata.so.63 => /lib/x86_64-linux-gnu/libicudata.so.63 (0x00007f202b8f8000)
/lib64/ld-linux-x86-64.so.2 (0x00007f2032d4a000)
libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007f202b8b9000)
libGLX.so.0 => /lib/x86_64-linux-gnu/libGLX.so.0 (0x00007f202b689000)
libOpenGL.so.0 => /lib/x86_64-linux-gnu/libOpenGL.so.0 (0x00007f202b658000)
libGLdispatch.so.0 => /lib/x86_64-linux-gnu/libGLdispatch.so.0 (0x00007f202b385000)
libpng16.so.16 => /lib/x86_64-linux-gnu/libpng16.so.16 (0x00007f202b34a000)
libharfbuzz.so.0 => /lib/x86_64-linux-gnu/libharfbuzz.so.0 (0x00007f202b24f000)
libpcre2-16.so.0 => /lib/x86_64-linux-gnu/libpcre2-16.so.0 (0x00007f202b1d4000)
libdouble-conversion.so.1 => /lib/x86_64-linux-gnu/libdouble-conversion.so.1 (0x00007f202b1bd000)
libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f202b09e000)
libxcb.so.1 => /lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f202b072000)
libQt5Qml.so.5 => /lib/x86_64-linux-gnu/libQt5Qml.so.5 (0x00007f202ac77000)
libaec.so.0 => /lib/x86_64-linux-gnu/libaec.so.0 (0x00007f202aa6f000)
libnuma.so.1 => /lib/x86_64-linux-gnu/libnuma.so.1 (0x00007f202aa61000)
libltdl.so.7 => /lib/x86_64-linux-gnu/libltdl.so.7 (0x00007f202aa56000)
libnghttp2.so.14 => /lib/x86_64-linux-gnu/libnghttp2.so.14 (0x00007f202aa2e000)
libidn2.so.0 => /lib/x86_64-linux-gnu/libidn2.so.0 (0x00007f202aa0d000)
librtmp.so.1 => /lib/x86_64-linux-gnu/librtmp.so.1 (0x00007f202a7f0000)
libssh2.so.1 => /lib/x86_64-linux-gnu/libssh2.so.1 (0x00007f202a7c2000)
libpsl.so.5 => /lib/x86_64-linux-gnu/libpsl.so.5 (0x00007f202a7af000)
libnettle.so.6 => /lib/x86_64-linux-gnu/libnettle.so.6 (0x00007f202a777000)
libgnutls.so.30 => /lib/x86_64-linux-gnu/libgnutls.so.30 (0x00007f202a5cb000)
libgssapi_krb5.so.2 => /lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x00007f202a57c000)
libkrb5.so.3 => /lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007f202a49c000)
libk5crypto.so.3 => /lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007f202a468000)
libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007f202a462000)
libldap_r-2.4.so.2 => /lib/x86_64-linux-gnu/libldap_r-2.4.so.2 (0x00007f202a40e000)
liblber-2.4.so.2 => /lib/x86_64-linux-gnu/liblber-2.4.so.2 (0x00007f202a3fd000)
libXext.so.6 => /lib/x86_64-linux-gnu/libXext.so.6 (0x00007f202a1e9000)
libfreetype.so.6 => /lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007f202a12d000)
libgraphite2.so.3 => /lib/x86_64-linux-gnu/libgraphite2.so.3 (0x00007f202a100000)
libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f202a08c000)
libXau.so.6 => /lib/x86_64-linux-gnu/libXau.so.6 (0x00007f2029e88000)
libXdmcp.so.6 => /lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f2029c80000)
libunistring.so.2 => /lib/x86_64-linux-gnu/libunistring.so.2 (0x00007f2029afc000)
libhogweed.so.4 => /lib/x86_64-linux-gnu/libhogweed.so.4 (0x00007f2029ac3000)
libgmp.so.10 => /lib/x86_64-linux-gnu/libgmp.so.10 (0x00007f2029a40000)
libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007f2029922000)
libp11-kit.so.0 => /lib/x86_64-linux-gnu/libp11-kit.so.0 (0x00007f20297f1000)
libtasn1.so.6 => /lib/x86_64-linux-gnu/libtasn1.so.6 (0x00007f20295de000)
libkrb5support.so.0 => /lib/x86_64-linux-gnu/libkrb5support.so.0 (0x00007f20295cf000)
libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007f20295c8000)
libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f20295ae000)
libsasl2.so.2 => /lib/x86_64-linux-gnu/libsasl2.so.2 (0x00007f202958f000)
libbsd.so.0 => /lib/x86_64-linux-gnu/libbsd.so.0 (0x00007f2029575000)
libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f2029552000)
libffi.so.6 => /lib/x86_64-linux-gnu/libffi.so.6 (0x00007f2029548000)
dpkg -S /lib/x86_64-linux-gnu/libOpenGL.so.0
dpkg-query: no path found matching pattern /lib/x86_64-linux-gnu/libOpenGL.so.0
dpkg -S /usr/lib/x86_64-linux-gnu/libOpenGL.so.0
libopengl0:amd64: /usr/lib/x86_64-linux-gnu/libOpenGL.so.0
ls -lisah /lib/x86_64-linux-gnu/libOpenGL.so* /usr/lib/x86_64-linux-gnu/libOpenGL.so*
404875833 0 lrwxrwxrwx 1 root root 14 May 26 01:55 /lib/x86_64-linux-gnu/libOpenGL.so -> libOpenGL.so.0
408445791 0 lrwxrwxrwx 1 root root 18 Aug 10 2018 /lib/x86_64-linux-gnu/libOpenGL.so.0 -> libOpenGL.so.0.0.0
408445790 192K -rw-r--r-- 1 root root 191K Aug 10 2018 /lib/x86_64-linux-gnu/libOpenGL.so.0.0.0
404875833 0 lrwxrwxrwx 1 root root 14 May 26 01:55 /usr/lib/x86_64-linux-gnu/libOpenGL.so -> libOpenGL.so.0
408445791 0 lrwxrwxrwx 1 root root 18 Aug 10 2018 /usr/lib/x86_64-linux-gnu/libOpenGL.so.0 -> libOpenGL.so.0.0.0
408445790 192K -rw-r--r-- 1 root root 191K Aug 10 2018 /usr/lib/x86_64-linux-gnu/libOpenGL.so.0.0.0
dpkg -l | grep libopengl0
ii libopengl0:amd64 1.1.0-1 amd64 Vendor neutral GL dispatch library -- OpenGL support
dpkg -l | grep libglvnd
ii libglvnd0:amd64 1.1.0-1 amd64 Vendor neutral GL dispatch library
ii libglvnd0:i386 1.1.0-1 i386 Vendor neutral GL dispatch library


Thanks for your reply again!


Best regards,
Gulfstream
-----原始邮件-----
发送时间: 2019-06-17 02:09:39 (星期一)
主题: Re: Bug#930563: Can not start freecad
Hello Gulfstream,
are you by any chance running the proprietary nvidia drivers?
I guess the output of following commands could be
helpful for the maintainer to diagnose this issue.
Could you run them and forward the output to this bug?
which freecad
ldd /usr/bin/freecad
dpkg -S /lib/x86_64-linux-gnu/libOpenGL.so.0
dpkg -S /usr/lib/x86_64-linux-gnu/libOpenGL.so.0
ls -lisah /lib/x86_64-linux-gnu/libOpenGL.so* /usr/lib/x86_64-linux-gnu/libOpenGL.so*
dpkg -l | grep libopengl0
dpkg -l | grep libglvnd
Kind regards
Jean-Luc Lacroix
2019-12-29 07:40:02 UTC
Reply
Permalink
Hello maintainers,

I also have this reported error when starting FreeCAD. I had no issue
with previous stable running with the same proprietary Nvidia driver.

Here below the output of various troubleshooting commands:

[quote]

$ aptitude versions freecad
    i   0.18~pre1+dfsg1-5    stable       500

$ ldd /usr/bin/freecad | grep libOpen
    libOpenGL.so.0 => /lib/x86_64-linux-gnu/libOpenGL.so.0
(0x00007f441a863000)

$ ls -la /lib/x86_64-linux-gnu/libOpenGL.so*
/usr/lib/x86_64-linux-gnu/libOpenGL.so
    *lrwxrwxrwx 1 root root     18 Aug 10  2018
/lib/x86_64-linux-gnu/libOpenGL.so -> libOpenGL.so.0.0.0
    lrwxrwxrwx 1 root root     18 Aug 10  2018
/lib/x86_64-linux-gnu/libOpenGL.so.0 -> libOpenGL.so.0.0.0
    -rw-r--r-- 1 root root 194880 Aug 10  2018
/lib/x86_64-linux-gnu/libOpenGL.so.0.0.0
    lrwxrwxrwx 1 root root     18 Aug 10  2018
/usr/lib/x86_64-linux-gnu/libOpenGL.so -> libOpenGL.so.0.0.0
    lrwxrwxrwx 1 root root     18 Aug 10  2018
/usr/lib/x86_64-linux-gnu/libOpenGL.so.0 -> libOpenGL.so.0.0.0
    -rw-r--r-- 1 root root 194880 Aug 10  2018 libOpenGL.so.0.0.0

$ nm -D /usr/lib/x86_64-linux-gnu/libOpenGL.so.0 | grep tls
    U _glapi_tls_Current

$ nm -D /lib/x86_64-linux-gnu/libOpenGL.so.0.0.0 | grep tls
    U _glapi_tls_Current

$ dpkg -S /usr/lib/x86_64-linux-gnu/libOpenGL.so.0
    libopengl0:amd64: /usr/lib/x86_64-linux-gnu/libOpenGL.so.0

$ dpkg -l | grep libopengl0
    ii  libopengl0:amd64          1.1.0-1   amd64    Vendor neutral GL
dispatch library -- OpenGL support

$ dpkg -l | grep libglvnd
    ii  libglvnd-core-dev:amd64   1.1.0-1   amd64    Vendor neutral GL
dispatch library -- core development files
    ii  libglvnd-dev:amd64        1.1.0-1   amd64    Vendor neutral GL
dispatch library -- development files
    ii  libglvnd0:amd64           1.1.0-1   amd64    Vendor neutral GL
dispatch library

$ ls -la /usr/lib/x86_64-linux-gnu/libGLdispatch.so*
    lrwxrwxrwx 1 root root     22 déc 28 10:19
/usr/lib/x86_64-linux-gnu/libGLdispatch.so -> libGLdispatch.so.0.0.0
    -rwxr-xr-x 1 root root 732400 sep  7 18:02
/usr/lib/x86_64-linux-gnu/libGLdispatch.so.0

$ nm -D /usr/lib/x86_64-linux-gnu/libGLdispatch.so.0 | grep tls
    < nihil >

[/unquote]

Cheers.

Jean-Luc
Bernhard Übelacker
2020-01-08 15:10:02 UTC
Reply
Permalink
Hello Gulfstream, hello Jean-Luc,
this report got opened mentioning a "Thinkpad P1".

Reading through some pages about that device, it looks
like it contains some "hybrid graphics".

Maybe you both could confirm that your devices have such
"hybrid graphics", and if yes, maybe you could give some more
information of both graphic devices and how the switching
between them is configured? (I don't have such a device accessible.)

Kind regards,
Bernhard
Bernhard Übelacker
2020-01-13 22:30:01 UTC
Reply
Permalink
Hello Jean-Luc,
thanks for your information.
Please use the reply-to-all button to have the
information forwarded to the bug report.
Hallo Bernhard,
My system only has a single GPU (Nvidia GTX 970, see attached config)
installed on a robust tower powered by a i7-4790K with plenty of RAM.
It must be package related as the package (Stretch) was running without
any issue.
Attached my config.
Cheers
Jean-Luc
Find below the information of libGLdispatch.so.0 from a
Buster VM, without any nvidia drivers.
There exists the _glapi_tls_Current symbol.
After installing the package nvidia-driver the files
and links libGLdispatch.so.0* and libOpenGL.so.0* were
unchanged.

Therefore the question, where does your libGLdispatch.so.0
come from?
How did you install the nvidia driver - by the Debian
package or did you use the installer from NVidia?

Kind regards,
Bernhard


# Buster stable without nvidia-drivre installed:

***@debian:~$ nm -D /usr/lib/x86_64-linux-gnu/libGLdispatch.so.0 | grep tls
0000000000000000 D _glapi_tls_Current

***@debian:~$ ls -la /usr/lib/x86_64-linux-gnu/libGLdispatch.so* /usr/lib/x86_64-linux-gnu/libOpenGL.so.0*
lrwxrwxrwx 1 root root 22 Aug 10 2018 /usr/lib/x86_64-linux-gnu/libGLdispatch.so.0 -> libGLdispatch.so.0.0.0
-rw-r--r-- 1 root root 637384 Aug 10 2018 /usr/lib/x86_64-linux-gnu/libGLdispatch.so.0.0.0
lrwxrwxrwx 1 root root 18 Aug 10 2018 /usr/lib/x86_64-linux-gnu/libOpenGL.so.0 -> libOpenGL.so.0.0.0
-rw-r--r-- 1 root root 194880 Aug 10 2018 /usr/lib/x86_64-linux-gnu/libOpenGL.so.0.0.0

***@debian:~$ dpkg -S /usr/lib/x86_64-linux-gnu/libGLdispatch.so.0
libglvnd0:amd64: /usr/lib/x86_64-linux-gnu/libGLdispatch.so.0
***@debian:~$ dpkg -S /usr/lib/x86_64-linux-gnu/libOpenGL.so.0
libopengl0:amd64: /usr/lib/x86_64-linux-gnu/libOpenGL.so.0

***@debian:~$ dpkg -l | grep -E "libglvnd0|libopengl0"
ii libglvnd0:amd64 1.1.0-1 amd64 Vendor neutral GL dispatch library
ii libopengl0:amd64 1.1.0-1 amd64 Vendor neutral GL dispatch library -- OpenGL support
Jean-Luc Lacroix
2020-01-14 07:40:01 UTC
Reply
Permalink
Hallo Bernard,

You nailed it! That was the proprietary Nvidia driver that was the
culprit. I uninstalled it and installed the debian nvidia-driver and
nvidia-libopencl1 packages. Freecad is up and running now.

The nvidia-libopencl1 package is not strictly required by Freecad I
believe, but I need it for darktable.

Thanks for your help.

Cheers.

Jean-Luc
Post by Bernhard Übelacker
Hello Jean-Luc,
thanks for your information.
Please use the reply-to-all button to have the
information forwarded to the bug report.
Hallo Bernhard,
My system only has a single GPU (Nvidia GTX 970, see attached config)
installed on a robust tower powered by a i7-4790K with plenty of RAM.
It must be package related as the package (Stretch) was running without
any issue.
Attached my config.
Cheers
Jean-Luc
Find below the information of libGLdispatch.so.0 from a
Buster VM, without any nvidia drivers.
There exists the _glapi_tls_Current symbol.
After installing the package nvidia-driver the files
and links libGLdispatch.so.0* and libOpenGL.so.0* were
unchanged.
Therefore the question, where does your libGLdispatch.so.0
come from?
How did you install the nvidia driver - by the Debian
package or did you use the installer from NVidia?
Kind regards,
Bernhard
0000000000000000 D _glapi_tls_Current
lrwxrwxrwx 1 root root 22 Aug 10 2018 /usr/lib/x86_64-linux-gnu/libGLdispatch.so.0 -> libGLdispatch.so.0.0.0
-rw-r--r-- 1 root root 637384 Aug 10 2018 /usr/lib/x86_64-linux-gnu/libGLdispatch.so.0.0.0
lrwxrwxrwx 1 root root 18 Aug 10 2018 /usr/lib/x86_64-linux-gnu/libOpenGL.so.0 -> libOpenGL.so.0.0.0
-rw-r--r-- 1 root root 194880 Aug 10 2018 /usr/lib/x86_64-linux-gnu/libOpenGL.so.0.0.0
libglvnd0:amd64: /usr/lib/x86_64-linux-gnu/libGLdispatch.so.0
libopengl0:amd64: /usr/lib/x86_64-linux-gnu/libOpenGL.so.0
ii libglvnd0:amd64 1.1.0-1 amd64 Vendor neutral GL dispatch library
ii libopengl0:amd64 1.1.0-1 amd64 Vendor neutral GL dispatch library -- OpenGL support
Bernhard Übelacker
2020-01-14 08:20:02 UTC
Reply
Permalink
Hello Gulfstream,
Post by w***@china.com
I have install the proprietary nvidia drivers and it runs well.
Another user reported the same error and he had installed the nvidia
driver by their installer. He could solve the issue by uninstalling it
and installing by the Debian nvidia-driver package.

Have you by any chance also used the nvidia installer in the first place?

Kind regards,
Bernhard
Jean-Luc Lacroix
2020-01-14 08:40:01 UTC
Reply
Permalink
Hallo Bernhard,

My system only has a single GPU (Nvidia GTX 970, see attached config)
installed on a robust tower powered by a i7-4790K with plenty of RAM.

It must be package related as the package (Stretch) was running without
any issue.

Attached my config.

Cheers

Jean-Luc
Post by Bernhard Übelacker
Hello Gulfstream, hello Jean-Luc,
this report got opened mentioning a "Thinkpad P1".
Reading through some pages about that device, it looks
like it contains some "hybrid graphics".
Maybe you both could confirm that your devices have such
"hybrid graphics", and if yes, maybe you could give some more
information of both graphic devices and how the switching
between them is configured? (I don't have such a device accessible.)
Kind regards,
Bernhard
Loading...